Westors Elgg Manager v1.8.3 free

Release Notes:

- compatibility with Elgg 1.8.3 down to Elgg 1.7.x

- layout issues fixed

- several bugfixes

- new functions: elgg entities browsing and editing for admins

- splitting up a professional version with some more options 

 

  • I would like to know if this plugin is compatible with Elgg 1.7.13.

    Can it be configured for only showing to administrators?

  • ;-) it kinda does say above  Elgg Version: 1.8 - and if you've spent some time reading thru in general - other posts hanging here - 1.8 has API changes which make 1.8 PlugIns Vs < 1.8 incompatible ;-X

    Admin only - takes abt 5 mins & 1.5 lines of php code to 'configure' - for someone that codes with php/elgg - but longer and more effort for some one that does not.

     

  • DhrupDeScoop, I don't know why you tell me "and if you've spent some time reading thru in general - other posts hanging here". Does "here" means the Elgg community?

    I asked about compatibility with 1.7.13 because in "release notes" it's written "compatibility with Elgg 1.8.3 down to Elgg 1.7.x", and I thought that means it's compatible with all versions 1.7. But since I'm not English speaking, I was trying to know if I'm wrong or right.

    Thanks.

  • Pregunta N º 1 se responde por encima de

    - ¿El "aquí" significa que la comunidad Elgg? -
    ¡sí!
    También tenemos un grupo que habla español aquí - para aquellos que se sienten más cómodos  con el español

    - Hasta Elgg 1.7.x - Creo que Torsten puede haber codificado el - Elgg la lógica de la API - para atender a 1.8 y 1.7 también 0 -, pero sólo él puede cumplir que - a menos que uno lee el código actual en el interior del plug-in. de lo contrario -, en general, 1,8 código no es compatible en el 1,7 - casi siempre. plugins muy pocos funcionar correctamente tanto en el 1,7 y el 1,8

    Yo no soy de habla española -, pero me gusta tratar - a través de Google, un diccionario y libro;-) y pueden seguir una conversación mayoría de los españoles.


  • Thanks DhrupDeScoop for the try in Spanish, but I prefer reading you in English :D

    I know that usually plugins for 1.8 are not compatible with 1.7. Only I hope this one works.

    Torsten is Westor's real name? Well, I'll wait to Torsten's answer ;)

  • ;-oO;X;P yepz.. he'll be around sometime soon.

  • @Delia: You might be lucky - I read thru some of Torsten's code - smart guy ;-) -- He has catered for 1.8 and lower versions in very smart manner ;-P

    So - why don't you give his work some (flattering) credibility and simply install the PlugIn in 1.7.13 and then be surprised to see it execute flawlessly. And if you know anything about who Torsten and I are w.r.t Elgg technicals - you will in a very big hurry to blindly test it right now for yourself to find out ;-oO

     

  • Hi Delia - yes, it should work well - I can't guerantee it for all version combinations (elgg and php) but I myself needed a compatibility with 1.6.5 and that works, and in my 1.7.5 version ist works also - I added a comapatibility layer. If it's not running, please let me know as axact as possible where the problems are.

     

  • Thank you very much Torsten. This is the site where we will be using your plugin http://www.misaludenred.org

    I'll tell you what happens ;)

  • Hello again Torsten. The plugin works perfectly in Elgg 1.7.5.

    Thank you :)

  • That's, what I expected ;-) please don't foget to give a recommendation. By the way - nice website, I think.

  • is very nice but I need to disable the sms function, is it possible?

  • Currently not - I consider this for Pro version.

  • In the pro version is already possible to disable SMS? or must be implemented?

  • Not yet, sorry - it has do be implemented. If you like, I could drop you a note, if it's available.

  • Interesting plugin.

    + Useful if you want your users to send SMS's or mass emails to other users, friends. Especially useful for admins to see the join,last login,action dates of members.

    - This plugin seems to be a completely separate application living in elgg. Probably technically this is true for all plugins but I mean visually. I would prefer that this plugin build on existing Elgg UI for its useful functions, replacing the existing UI elements. Instead it offers alternative ways of doing the existing stuff (in addition to new functionality) and I believe it is a recipe for user confusion.

    Regards,

    p.s. With Elgg 1.8.4 I get the error message (I already have some non-default other plugins activated):

    Deprecated in 1.8: settings/westorElggMan/edit was deprecated in favor of plugins/westorElggMan/settings Called from [#8

  • Westor can you check why I can't use the module anymore my version is 1.7.8 and my website http://veitias.com this modeule is very usefull for my site so if you can helpme I apreciate that thanks in advance.

  • Westor

    I am un able to use Westors Elgg Manager on Elgg 1.8.5 what am I doing wrong? I cant see it anywhere except in plugin settings??

     

  • Simply GREAT plugin!

    Is there an easy way to add more columns to Admin view other than the ones shown on settings page? I created new profile and group fields which I'd like to be able to show in elggman as admin.

    Cheers

  • @Graeme Buss sorry I havn't tryed it on elgg 1.8.5 - last release is for elgg 1.8.3. Currently there is no time to make new releases... :-( sorry.

    @MIchele - not without changing some things. May be it could be easy, if you don't hesitate to change the php code in /mod/westorElggMan/services/qooxdoo/elggMan.php.
    In constructor is an array:

    $columnsAdmin = array(
    "username" => elgg_echo("ElggMan_:cUserName"),
    "email" => elgg_echo("ElggMan_:cEmail"),
    // "mobile" => elgg_echo("ElggMan_:cMobile"),
    "time_created" => elgg_echo("ElggMan_:cSince"),
    "last_login" => elgg_echo("ElggMan_:cLastLogin"),
    // "last_action" => elgg_echo("ElggMan_:cLastAction"),
    // "location" => elgg_echo("ElggMan_:cLocation")
    );

    You can try to extend this array with your field names.

    But sorry, I currently can't give more support.

     

  • @westor your support is a lot already, thank you so much, I will try what you suggest and see.

    I'm using it on 1.8.8 and everything seems to work perfectly until now

  • @westor I tried but didn't work, maybe because some other file has to be changed to make this field also available in the plugin's settings page and select it checking the radio button on Yes. Thank you for trying to help anyways

    Cheers

  • Hi,

    When I want to search under "All activated users" I get the error "Please note! Asyn(24) exception: Local error 2: Aborted getElggData". Does anyone know why this is occuring? Thanks in advance!

westor

Please visit my elgg communities, e.g. http://www.fitnesswelt.com

Stats

  • Category: User admin
  • License: GNU General Public License (GPL) version 2
  • Updated: 2014-11-17
  • Downloads: 16503
  • Recommendations: 100

Other Projects

View westor's plugins